Bug 807776 - invalid lvconvert --merge output should mention raid1 now
Summary: invalid lvconvert --merge output should mention raid1 now
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2
Version: 6.3
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-28 16:55 UTC by Corey Marthaler
Modified: 2012-06-20 15:03 UTC (History)
10 users (show)

Fixed In Version: lvm2-2.02.95-6.el6
Doc Type: Bug Fix
Doc Text:
No documentation required.
Clone Of:
Environment:
Last Closed: 2012-06-20 15:03:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2012:0962 0 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2012-06-19 21:12:11 UTC

Description Corey Marthaler 2012-03-28 16:55:03 UTC
Description of problem:
[root@taft-01 ~]# lvs -a -o +devices
  LV                VG    Attr     LSize   Copy%  Devices
  mirror            taft  rwi-a-m- 500.00m  28.00 mirror_rimage_0(0),mirror_rimage_1(0),mirror_rimage_2(0),mirror_rimage_3(0)
  [mirror_rimage_0] taft  Iwi-aor- 500.00m        /dev/sdb1(1)
  [mirror_rimage_1] taft  Iwi-aor- 500.00m        /dev/sdc1(1)
  [mirror_rimage_2] taft  Iwi-aor- 500.00m        /dev/sdd1(1)
  [mirror_rimage_3] taft  Iwi-aor- 500.00m        /dev/sde1(1)
  [mirror_rmeta_0]  taft  ewi-aor-   4.00m        /dev/sdb1(0)
  [mirror_rmeta_1]  taft  ewi-aor-   4.00m        /dev/sdc1(0)
  [mirror_rmeta_2]  taft  ewi-aor-   4.00m        /dev/sdd1(0)
  [mirror_rmeta_3]  taft  ewi-aor-   4.00m        /dev/sde1(0)

[root@taft-01 ~]# lvconvert --splitmirrors 1 --name new taft/mirror /dev/sde1

[root@taft-01 ~]# lvs -a -o +devices
  LV                VG    Attr     LSize   Copy%  Devices
  mirror            taft  rwi-a-m- 500.00m 100.00 mirror_rimage_0(0),mirror_rimage_1(0),mirror_rimage_2(0)
  [mirror_rimage_0] taft  iwi-aor- 500.00m        /dev/sdb1(1)
  [mirror_rimage_1] taft  iwi-aor- 500.00m        /dev/sdc1(1)
  [mirror_rimage_2] taft  iwi-aor- 500.00m        /dev/sdd1(1)
  [mirror_rmeta_0]  taft  ewi-aor-   4.00m        /dev/sdb1(0)
  [mirror_rmeta_1]  taft  ewi-aor-   4.00m        /dev/sdc1(0)
  [mirror_rmeta_2]  taft  ewi-aor-   4.00m        /dev/sdd1(0)
  new               taft  -wi-a--- 500.00m        /dev/sde1(1)

[root@taft-01 ~]# lvconvert --merge taft/new
  Logical volume "new" is not a snapshot

The above should probably say something about not being a valid or change tracked raid1 image and not just "is not a snapshot".

Version-Release number of selected component (if applicable):
2.6.32-251.el6.x86_64
lvm2-2.02.95-2.el6    BUILT: Fri Mar 16 08:39:54 CDT 2012
lvm2-libs-2.02.95-2.el6    BUILT: Fri Mar 16 08:39:54 CDT 2012
lvm2-cluster-2.02.95-2.el6    BUILT: Fri Mar 16 08:39:54 CDT 2012
udev-147-2.40.el6    BUILT: Fri Sep 23 07:51:13 CDT 2011
device-mapper-1.02.74-2.el6    BUILT: Fri Mar 16 08:39:54 CDT 2012
device-mapper-libs-1.02.74-2.el6    BUILT: Fri Mar 16 08:39:54 CDT 2012
device-mapper-event-1.02.74-2.el6    BUILT: Fri Mar 16 08:39:54 CDT 2012
device-mapper-event-libs-1.02.74-2.el6    BUILT: Fri Mar 16 08:39:54 CDT 2012
cmirror-2.02.95-2.el6    BUILT: Fri Mar 16 08:39:54 CDT 2012

Comment 3 Jonathan Earl Brassow 2012-04-19 22:32:34 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
No documentation required.

Comment 5 Corey Marthaler 2012-04-25 20:29:53 UTC
Fix verified in the latest rpms.

[root@taft-01 ~]# lvconvert --splitmirrors 1 --name new taft/mirror /dev/sde1

[root@taft-01 ~]# lvs -a -o +devices
 LV                VG    Attr     LSize   Copy%  Devices
 mirror            taft  rwi-a-m- 500.00m 100.00 mirror_rimage_0(0),mirror_rimage_1(0),mirror_rimage_2(0)
 [mirror_rimage_0] taft  iwi-aor- 500.00m        /dev/sdb1(1)
 [mirror_rimage_1] taft  iwi-aor- 500.00m        /dev/sdc1(1)
 [mirror_rimage_2] taft  iwi-aor- 500.00m        /dev/sdd1(1)
 [mirror_rmeta_0]  taft  ewi-aor-   4.00m        /dev/sdb1(0)
 [mirror_rmeta_1]  taft  ewi-aor-   4.00m        /dev/sdc1(0)
 [mirror_rmeta_2]  taft  ewi-aor-   4.00m        /dev/sdd1(0)
 new               taft  -wi-a--- 500.00m        /dev/sde1(1)

[root@taft-01 ~]# lvconvert --merge taft/new
 "new" is not a mergeable logical volume


2.6.32-268.el6.x86_64

lvm2-2.02.95-6.el6    BUILT: Wed Apr 25 04:39:34 CDT 2012
lvm2-libs-2.02.95-6.el6    BUILT: Wed Apr 25 04:39:34 CDT 2012
lvm2-cluster-2.02.95-6.el6    BUILT: Wed Apr 25 04:39:34 CDT 2012
udev-147-2.41.el6    BUILT: Thu Mar  1 13:01:08 CST 2012
device-mapper-1.02.74-6.el6    BUILT: Wed Apr 25 04:39:34 CDT 2012
device-mapper-libs-1.02.74-6.el6    BUILT: Wed Apr 25 04:39:34 CDT 2012
device-mapper-event-1.02.74-6.el6    BUILT: Wed Apr 25 04:39:34 CDT 2012
device-mapper-event-libs-1.02.74-6.el6    BUILT: Wed Apr 25 04:39:34 CDT 2012
cmirror-2.02.95-6.el6    BUILT: Wed Apr 25 04:39:34 CDT 2012

Comment 7 errata-xmlrpc 2012-06-20 15:03:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0962.html


Note You need to log in before you can comment on or make changes to this bug.